<?php


namespace Mnv\Core\Test;

/**
 * Class Log
 * @package Mnv\Core\Test
 */
class Log
{
    private $handle;

    /**
     * Constructor
     *
     * @param	string	$filename
     */
    public function __construct($filename) {
        $this->handle = fopen(GLOBAL_ROOT . '/temp/log/' . $filename, 'a');
    }

    /**
     *
     *
     * @param	string	$message
     */
    public function write($message) {
        fwrite($this->handle, date('Y-m-d G:i:s') . ' - ' . print_r($message, true) . "\n");
    }

    /**
     *
     *
     */
    public function __destruct() {
        fclose($this->handle);
    }
}